Trigger a Selective release
API recipe: trigger a selective release for hotfixes.
Your Control Plane URL will vary
The Control Plane URL, denoted as YOUR_CP_URL for this API reference document is https://facetsdemo.console.facets.cloud.
Replace that with the Control Plane URL unique to your account.
API Endpoint
This API processes a POST request to trigger a selective release on a selected unique cluster.
https://{YOUR_CP_URL}/cc-ui/v1/clusters/{clusterId}/deployments/release/deployment/hotfix- This API endpoint has two path parameters,
YOUR_CP_URL, andclusterId. - There is also a body parameter,
resourceList.
Path parameters
YOUR_CP_URLof typeString, is the Control Plane URL specific to your account.clusterIdof typeString, is the unique ID for the environment where you want to make a release. You can find this ID in the Environment Overview screen in Facets UI.
Body parameters
resourceList is an Array of Objects, defined as:
resourceNameof typestring.
NOTE:
resourceName should be the name of the application as defined under the application/instance path.
resourceTypeof typestring, with the default valueapplication.
{
"resourceList": [
{
"resourceName": "name",
"resourceType": "application"
}
]
}Authenticate your API request
To learn more about how to generate a basic authentication token for use with Facets API requests, check Authentication Setup.
Facets API uses Basic Authentication.